/*
 * LCAUView.h -- Interface file for the LCAUView class
 * You may freele copy, distribute, and reuse the code in thes example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to its
 * fitness for any particular use.
 * revisado agosto 25 1995
 */

#import <appkit/appkit.h>
#import <appkit/NXCType.h>

@interface LCAUView:View
{
    id		aPower;
    id		aEigenvalue;
    id  	sButton, pButton;
    id		oMatrix, zMatrix;
    id		basc;
    id		baux;
//    id  	colorMatrix;
    id		dTwig;
    id		gridSize;
    id		groeRule;
    id		groeText;
    id		haHa;
    id		keepTop;
    id		ascru,ruleSamples;
    id		wrule;
    id		lambdaStyle;
    id		rbutton,sbutton;
    id		ruleNumber;
    id		pslid;
    id		pswit;
    id		shiftCellCor;
    id		shiftCellEnd;
    id		shiftCellIn;
    id		shiftRow;
    id		statEnpai;
    id		statEntro;
    id		statLamb;
    id		statLines;
    id		statMode;
    id		statPair;
    id		statState;
    id		statSDevi;
    id		statNhood;
    id		tiDat;
    id		autoShCell;
    id		valBx;
    id 		well0, well1, well2, well3;
    id		wholePanel;

    id		probEI, probGens, probFlip, probGrid;
    id		probComp, probLevel, probView;

    id		delegate;
    id		points;
    id		crossCursor;
    id		readOut;
    float  	radius;
    BOOL   	needsClearing;
//    id	aCImag;


}

- arhi:sender;
- printArhi:sender;
- arsq:sender;
//	- colorStates:sender;
- drawEvolu:sender;
- drawShEvol:sender;
- nxmoncar: (int) l;
- printEvolu:sender;
- rijnRanSam:sender;
- arsq:sender;
- prob:sender;
- awakeFromNib;
- saveColors:sender;
- setUpWell: well color: (NXColor)aColor   tag: (int)aTag; 
- updateColors:sender;
- makeline:sender;

- probHowMany:sender;
- probSetBlk:sender;
- drawBlock:sender;
- drawNBlock:sender;
- showXBlock:sender;
- showBasin:sender;
- drawProb:sender;
- drawPlaid:sender;
- drawStat:sender;
- plot:sender;
- printBlock:sender;
- printNBlock:sender;
- printXBlock:sender;
- printProb:sender;
- printPlaid:sender;
- printStat:sender;
- printShEvol:sender;
- printTMatrix:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- clear:sender;
- plot:sender;
- mouseDown:(NXEvent *)theEvent;
- registerPoint:(NXPoint *)aPoint;
- setRadius:(float)aFloat;
- (float)radius;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- awake;
- (const char *)inspectorName;


@end
@interface Object(PlotViewDelegate)
- PlotView:sender providePoints:(NXStream **)stream;
- PlotView:sender pointDidChange:(NXPoint *)aPoint;
@end
