
/* revisado 25 agosto 1995 */
#import <appkit/appkit.h>

@interface RulePanel:View
{
/* appDidInit  - - - - - - - - - - - - - - - - - - - - - - - - - */
	id		well0, well1, well2, well3;
	id		browser;

/* panel control - - - - - - - - - - - - - - - - - - - - - - - - */
	id		equivRuleBox;
	id		specBigBox;
	id		specLilBox;
	id		subsetRuleBox;
	id		arithmRuleBox;

/* Main Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */
	id		ascruButtons;
	id		changeLine;
	id		pSliders;
	id		pWindows;
	id		RECLine;
	id		RECPanel;
	id		RECValue;
	id		ruleNumber;
	id		totlRef;
	id		sIncr;
	id		tiDat;
	id		wrule;

/* de Bruijn Window  - - - - - - - - - - - - - - - - - - - - - - */
//	id		dbguph;

//	id		S00,S01,S02,S10,S11,S12,S20,S21,S22;

//	id		gfWindow;
//	id		ruleFormula;

/* semitotalistic Window  - - - - - - - - - - - - - - - - - - - */
	id		stRuleNumber;
	id		stWindow;

/* totalistic Window  - - - - - - - - - - - - - - - - - - - - - */
	id		toRuleNumber;
	id		toWindow;

/* xenophobic Window  - - - - - - - - - - - - - - - - - - - - - */
	id		obBnry;
	id		obPerm;

/* equivalence Box  - - - - - - - - - - - - - - - - - - - - - - */
	id		eqChoices;
	id		eqFactor;
	id		eqPair;

/* arithmetic Box   - - - - - - - - - - - - - - - - - - - - - - */
//	id		twoRules;

	id		statEntro;
	id		statIndx;
	id		statLamb;
	id		statState;
	id		statXeno;

/* design Window  - - - - - - - - - - - - - - - - - - - - - - - */
	id		ddWindow;
	id		designPrm;
	id		designRef;
	id		zeZeZe;

}

- setUpWell: well color: (NXColor)aColor tag: (int)aTag; 

- loadArithmetic:sender; 
- loadEquivalence:sender; 
- loadSubset:sender;
- loadLowerPanel:thisRuleBox; 

- freeAllRules:sender;
- protectGenRule:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readWRule:sender;
- runRECLine:sender;
- dCellLine:sender;
- tCellLine:sender; 
- setAllRules:sender;
- setDemo:sender;
- setRule:sender; 
- showProbability:sender;
- symRule:sender;
- useRECLine:sender;
- zeroRules:sender; 

- randomLine:sender;
- sCellLine:sender;
- uniformLine:sender;

- enterGF3Rule:sender; 
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

- enterSemiRule:sender;
- setSemiState:sender;

- enterTotalisticRule:sender;
- setTotalisticState:sender;

- equivalence:sender;
- ranqul:sender;

- arithmCombs:sender;
- initTwoRules:sender; 

- randphobic:sender; 
- xenophilic:sender;
- xenophobic:sender;

- clearDesign:sender;
- copyToDesign:sender;
- deZign:sender;
- enterDesign:sender;

- nxasfreq; 

@end 

/* end RulePanel.h */ 

