/* 
 * LiulGuph.h -- Interface file for the LiulGuph class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to its
 * fitness for any particular use.
 *
 */

#import <appkit/appkit.h>
#import <appkit/NXCType.h>

@interface LiulGuph:View
{

	id		gen2;
	id		gen3;
	id		gen4;
	id		gen5;
	id		gen6;
	id		gen7;

	id		cyBou;
	id		cyNode;
	id		cyTriv1;
	id		cyTriv2;
	id		cyWid;
	id		labelStyle;
	id		leftBoundary;
	id		rightBoundary;
	id		treeShow;

	id		constBox;
	id		dbBranches;
	id		evWindow;
	id		evButton;
	id		linkAge;
	id		moveWhich;
	id		nodeNumber;
	id		rijnBigBox;
	id		rijnLilBox;
	id		ruleNumber;
	id		shiftBox;
	id		underDiagram;
	id		whichConstant;
	id		whichPermutation;
	id		whichShift;

	id		prTriv;
	id		prTriv1;

	id		suTriv1;
	id		suTriv2;

	id		wholePanel;
	id		timeDate;
	
	id		delegate;
	id		points;
	id		crossCursor;
	id		readOut;
	float		radius;
	BOOL		needsClearing;
}

- cySample:sender;
- loadDiagramType:sender;
- loadSelectionPanel:rijnNewBox;
- rijn:sender;
- rijnRanSam:sender;
- printCycle:sender;
- printPair:sender;
- printRijn:sender;
- printSubset:sender;
- shewRijn:sender;
- drawCycle:sender;
- makeTree:sender;
- redrawCycle:sender;
- redrawPair:sender;
- rijnConst:sender;
- rijnHowBig:sender;
- rijnReset:sender;
- setCyTriv;
- showCycle:sender;
- showPair:sender;
- showSubset:sender;
- testRijn:sender;
- poof:sender;
- Zot:sender;


- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- clear:sender;
- plot:sender;
- mouseDown:(NXEvent *)theEvent;
- registerPoint:(NXPoint *)aPoint;
- setRadius:(float)aFloat;
- (float)radius;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- awake;
- (const char *)inspectorName;
@end

@interface Object(PlotViewDelegate)
- PlotView:sender providePoints:(NXStream **)stream;
- PlotView:sender pointDidChange:(NXPoint *)aPoint;
@end
