
/* revisado 25 agosto 1995 */

/* nxlcau42.h		*/
/* header file for nxlcau42.c	*/
/* 12 May 1989		*/

# define COLGRAF      4  /* graph resolution			*/
# define T80X25	      3  /* text resolution			*/
# define WHCYMAG      1  /* color quad for normal screen	*/
# define YELREGR      2  /* color quad for alternative		*/
# define TRR	     16  /* row showing totalistic rule number	*/
# define TRC	     56  /* column for totalistic rule number	*/
# define XRR	     12  /* row displaying totalistic rule	*/
# define XRC	     56  /* column for totalistic rule		*/
# define AL         320  /* array length (screen width)		*/
# define SL	     40  /* short array length			*/
# define KK	      4  /* number of states per cell		*/
# define RR	      5  /* length of neighborhood = 2r+1	*/ 
# define DS  (KK*KK*KK*KK*KK)  /* KK^RR (distinct neighborhoods)*/
# define DN           (KK*KK)  /* number of distinct nodes		*/
# define PDN              256  /* pair diagram nodes = KK^4r		*/
# define SDN          16*4096  /* subset diagram nodes = 2^(KK^2r)	*/	   
# define TS       RR*(KK-1)+1  /* distinct sums w/totalistic rule	*/
# define SS ((RR-1)*(KK-1)+1)  /* distinct sums w/stotalistic rule	*/
# define BD	           11  	/* maximum degree of b.p.		*/

# define CCY                6	/* circumference of max length cycle	*/
# define XCY	    729	/* max number of cycles = KK^CCY	*/

# define K2     (KK*KK) 
# define K3     (KK*KK*KK) 
# define K4	(K2*K2)
# define K5	(K2*K3)
# define K6     (K3*K3)
# define K8	(K4*K4)
# define AV	(KK*KK)

# define CLEN 300	/* buffer length for rec source     */
# define PLEN 900	/* buffer length for rec object     */
# define XLEN 128	/* buffer length for rec predefined */
# define NY    24

/* end nxlcau42.h */
